%define upstream_name    Tie-RefHash
%define upstream_version 1.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Use references as hash keys
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides the ability to use references as hash keys if you
first 'tie' the hash variable to this module. Normally, only the keys of
the tied hash itself are preserved as references; to use references as keys
in hashes-of-hashes, use Tie::RefHash::Nestable, included as part of
Tie::RefHash.

It is implemented using the standard perl TIEHASH interface. Please see the
'tie' entry in perlfunc(1) and perltie(1) for more information.

The Nestable version works by looking for hash references being stored and
converting them to tied hashes so that they too can have references as
keys. This will happen without warning whenever you store a reference to
one of your own hashes in the tied hash.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.390.0-11.mga10
+ Revision: 2201124
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.390.0-10.mga9
+ Revision: 1806466
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.390.0-9.mga8
+ Revision: 1497811
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.390.0-8.mga7
+ Revision: 1272368
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.390.0-7.mga6
+ Revision: 1035212
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.390.0-6.mga6
+ Revision: 947401
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.390.0-5.mga5
+ Revision: 751174
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.390.0-4.mga5
+ Revision: 686687
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.390.0-3.mga4
+ Revision: 515699
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.390.0-2.mga3
+ Revision: 374325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.390.0-1.mga1
+ Revision: 60830
- update to 1.39

* Tue Jan 18 2011 jquelin <jquelin> 1.380.0-1.mga1
+ Revision: 23409
- cleaning spec file
- imported package perl-Tie-RefHash

